<?php

namespace App\Classes\Modules\HelpMenu\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;

class GenerateFeedbackUrlObject implements DataTransferObject
{

    /** @var string */
    private $apiKey;

    /** @var string */
    private $system;

    /** @var string */
    private $customerMarking;

    /** @var string */
    private $email;

    /** @var string */
    private $questionSet;

    /**
     * GenerateFeedbackUrlObject constructor.
     * @param string $apiKey
     */
    public function __construct(string $apiKey = "", ?string $system, ?string $customerMarking, ?string $email, ?string $questionSet)
    {
        $this->apiKey = $apiKey;
        $this->system = $system;
        $this->customerMarking = $customerMarking;
        $this->email = $email;
        $this->questionSet = $questionSet;
    }

    /**
     * @return string
     */
    public function getApiKey(): string
    {
        return $this->apiKey;
    }

    /**
     * @return string
     */
    public function getSystem(): ?string
    {
        return $this->system;
    }

    /**
     * @return string
     */
    public function getCustomerMarking(): ?string
    {
        return $this->customerMarking;
    }

    /**
     * @return string
     */
    public function getEmail(): ?string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getQuestionSet(): ?string
    {
        return $this->questionSet;
    }

}
